Package org.eclipse.birt.report.engine.content

# Interface IStyle

All Superinterfaces:
  `org.eclipse.birt.report.engine.css.engine.value.birt.BIRTConstants`, `org.eclipse.birt.report.engine.css.engine.value.birt.BIRTValueConstants`, `CSS2Properties`, `org.eclipse.birt.report.engine.css.engine.value.css.CSSConstants`, `CSSStyleDeclaration`, `org.eclipse.birt.report.engine.css.engine.value.css.CSSValueConstants`, `org.eclipse.birt.report.engine.css.engine.StyleConstants`

public interface IStyle extends CSSStyleDeclaration, org.eclipse.birt.report.engine.css.engine.StyleConstants, CSS2Properties, org.eclipse.birt.report.engine.css.engine.value.css.CSSConstants, org.eclipse.birt.report.engine.css.engine.value.css.CSSValueConstants, org.eclipse.birt.report.engine.css.engine.value.birt.BIRTConstants, org.eclipse.birt.report.engine.css.engine.value.birt.BIRTValueConstants
Provides the interfaces for the ROM style the properties must be string as the user may change them in script.

## Field Summary

### Fields inherited from interface org.eclipse.birt.report.engine.css.engine.value.birt.BIRTConstants

`BIRT_ALL_VALUE, BIRT_BACKGROUND_IMAGE_TYPE, BIRT_BACKGROUND_POSITION_X_PROPERTY, BIRT_BACKGROUND_POSITION_Y_PROPERTY, BIRT_BORDER_ANTIDIAGONAL_COLOR, BIRT_BORDER_ANTIDIAGONAL_NUMBER, BIRT_BORDER_ANTIDIAGONAL_STYLE, BIRT_BORDER_ANTIDIAGONAL_WIDTH, BIRT_BORDER_DIAGONAL_COLOR, BIRT_BORDER_DIAGONAL_NUMBER, BIRT_BORDER_DIAGONAL_STYLE, BIRT_BORDER_DIAGONAL_WIDTH, BIRT_CAN_SHRINK_PROPERTY, BIRT_DATE_FORMAT_PROPERTY, BIRT_DATE_TIME_FORMAT_PROPERTY, BIRT_FALSE_VALUE, BIRT_MASTER_PAGE_PROPERTY, BIRT_NUMBER_ALIGN_PROPERTY, BIRT_NUMBER_FORMAT_PROPERTY, BIRT_SHOW_IF_BLANK_PROPERTY, BIRT_SOFT_VALUE, BIRT_STRING_FORMAT_PROPERTY, BIRT_STYLE_DATA_FORMAT, BIRT_TEXT_HYPERLINK_SYTLE_PROPERTY, BIRT_TEXT_LINETHROUGH_PROPERTY, BIRT_TEXT_OVERLINE_PROPERTY, BIRT_TEXT_UNDERLINE_PROPERTY, BIRT_TIME_FORMAT_PROPERTY, BIRT_TRUE_VALUE, BIRT_VISIBLE_FORMAT_PROPERTY`

### Fields inherited from interface org.eclipse.birt.report.engine.css.engine.value.birt.BIRTValueConstants

`ALL_VALUE, FALSE_VALUE, SOFT_VALUE, TRUE_VALUE`

### Fields inherited from interface org.eclipse.birt.report.engine.css.engine.value.css.CSSConstants

`CSS_100_VALUE, CSS_200_VALUE, CSS_300_VALUE, CSS_400_VALUE, CSS_500_VALUE, CSS_600_VALUE, CSS_700_VALUE, CSS_800_VALUE, CSS_900_VALUE, CSS_ABOVE_VALUE, CSS_ABSOLUTE_VALUE, CSS_ACTIVEBORDER_VALUE, CSS_ACTIVECAPTION_VALUE, CSS_ALWAYS_VALUE, CSS_APPWORKSPACE_VALUE, CSS_AQUA_VALUE, CSS_ARMENIAN_VALUE, CSS_ATTR_VALUE, CSS_AUTO_VALUE, CSS_AVOID_VALUE, CSS_BACKGROUND_ATTACHMENT_PROPERTY, CSS_BACKGROUND_COLOR_PROPERTY, CSS_BACKGROUND_HEIGHT_PROPERTY, CSS_BACKGROUND_IMAGE_PROPERTY, CSS_BACKGROUND_REPEAT_PROPERTY, CSS_BACKGROUND_REPEAT_X_PROPERTY, CSS_BACKGROUND_REPEAT_Y_PROPERTY, CSS_BACKGROUND_VALUE, CSS_BACKGROUND_WIDTH_PROPERTY, CSS_BASELINE_VALUE, CSS_BEHIND_VALUE, CSS_BELOW_VALUE, CSS_BIDI_OVERRIDE_VALUE, CSS_BLACK_VALUE, CSS_BLINK_VALUE, CSS_BLOCK_VALUE, CSS_BLUE_VALUE, CSS_BOLD_VALUE, CSS_BOLDER_VALUE, CSS_BORDER_ANTIDIAGONAL, CSS_BORDER_ANTIDIAGONAL_COLOR_PROPERTY, CSS_BORDER_ANTIDIAGONAL_NUMBER_PROPERTY, CSS_BORDER_ANTIDIAGONAL_STYLE_PROPERTY, CSS_BORDER_ANTIDIAGONAL_WIDTH_PROPERTY, CSS_BORDER_BOTTOM_COLOR_PROPERTY, CSS_BORDER_BOTTOM_STYLE_PROPERTY, CSS_BORDER_BOTTOM_WIDTH_PROPERTY, CSS_BORDER_CROSS_DIAGONAL_XLSX, CSS_BORDER_DIAGONAL, CSS_BORDER_DIAGONAL_COLOR_PROPERTY, CSS_BORDER_DIAGONAL_LINE_NUMBER_VALUE, CSS_BORDER_DIAGONAL_NUMBER_PROPERTY, CSS_BORDER_DIAGONAL_STYLE_PROPERTY, CSS_BORDER_DIAGONAL_WIDTH_PROPERTY, CSS_BORDER_LEFT_COLOR_PROPERTY, CSS_BORDER_LEFT_STYLE_PROPERTY, CSS_BORDER_LEFT_WIDTH_PROPERTY, CSS_BORDER_RIGHT_COLOR_PROPERTY, CSS_BORDER_RIGHT_STYLE_PROPERTY, CSS_BORDER_RIGHT_WIDTH_PROPERTY, CSS_BORDER_TOP_COLOR_PROPERTY, CSS_BORDER_TOP_STYLE_PROPERTY, CSS_BORDER_TOP_WIDTH_PROPERTY, CSS_BOTH_VALUE, CSS_BOTTOM_VALUE, CSS_BUTTONFACE_VALUE, CSS_BUTTONHIGHLIGHT_VALUE, CSS_BUTTONSHADOW_VALUE, CSS_BUTTONTEXT_VALUE, CSS_CAPITALIZE_VALUE, CSS_CAPTION_VALUE, CSS_CAPTIONTEXT_VALUE, CSS_CENTER_LEFT_VALUE, CSS_CENTER_RIGHT_VALUE, CSS_CENTER_VALUE, CSS_CIRCLE_VALUE, CSS_CLOSE_QUOTE_VALUE, CSS_CODE_VALUE, CSS_COLLAPSE_VALUE, CSS_COLOR_PROPERTY, CSS_CONTAIN_VALUE, CSS_CONTINUOUS_VALUE, CSS_COVER_VALUE, CSS_CROSSHAIR_VALUE, CSS_CURSIVE_VALUE, CSS_DASHED_VALUE, CSS_DECIMAL_LEADING_ZERO_VALUE, CSS_DECIMAL_VALUE, CSS_DEFAULT_VALUE, CSS_DIGITS_VALUE, CSS_DIRECTION_PROPERTY, CSS_DISC_VALUE, CSS_DISPLAY_PROPERTY, CSS_DOTTED_VALUE, CSS_DOUBLE_VALUE, CSS_E_RESIZE_VALUE, CSS_EMBED_VALUE, CSS_FANTASY_VALUE, CSS_FAR_LEFT_VALUE, CSS_FAR_RIGHT_VALUE, CSS_FAST_VALUE, CSS_FASTER_VALUE, CSS_FIXED_VALUE, CSS_FONT_FAMILY_PROPERTY, CSS_FONT_SIZE_PROPERTY, CSS_FONT_STYLE_PROPERTY, CSS_FONT_VARIANT_PROPERTY, CSS_FONT_WEIGHT_PROPERTY, CSS_FUCHSIA_VALUE, CSS_GEORGIAN_VALUE, CSS_GRAY_VALUE, CSS_GRAYTEXT_VALUE, CSS_GREEN_VALUE, CSS_GROOVE_VALUE, CSS_HEIGHT_PROPERTY, CSS_HELP_VALUE, CSS_HIDDEN_VALUE, CSS_HIDE_VALUE, CSS_HIGH_VALUE, CSS_HIGHER_VALUE, CSS_HIGHLIGHT_VALUE, CSS_HIGHLIGHTTEXT_VALUE, CSS_ICON_VALUE, CSS_INACTIVEBORDER_VALUE, CSS_INACTIVECAPTION_VALUE, CSS_INACTIVECAPTIONTEXT_VALUE, CSS_INDEPENDENT_VALUE, CSS_INFOBACKGROUND_VALUE, CSS_INFOTEXT_VALUE, CSS_INHERIT_VALUE, CSS_INLINE_BLOCK_VALUE, CSS_INLINE_TABLE_VALUE, CSS_INLINE_VALUE, CSS_INSET_VALUE, CSS_INSIDE_VALUE, CSS_INVERT_VALUE, CSS_ITALIC_VALUE, CSS_JUSTIFY_VALUE, CSS_LARGE_VALUE, CSS_LARGER_VALUE, CSS_LEFT_SIDE_VALUE, CSS_LEFT_VALUE, CSS_LEFTWARDS_VALUE, CSS_LETTER_SPACING_PROPERTY, CSS_LEVEL_VALUE, CSS_LIGHTER_VALUE, CSS_LIME_VALUE, CSS_LINE_HEIGHT_PROPERTY, CSS_LINE_THROUGH_VALUE, CSS_LIST_ITEM_VALUE, CSS_LOUD_VALUE, CSS_LOW_VALUE, CSS_LOWER_ALPHA_VALUE, CSS_LOWER_GREEK_VALUE, CSS_LOWER_LATIN_VALUE, CSS_LOWER_ROMAN_VALUE, CSS_LOWER_VALUE, CSS_LOWERCASE_VALUE, CSS_LTR_VALUE, CSS_MARGIN_BOTTOM_PROPERTY, CSS_MARGIN_LEFT_PROPERTY, CSS_MARGIN_RIGHT_PROPERTY, CSS_MARGIN_TOP_PROPERTY, CSS_MAROON_VALUE, CSS_MEDIUM_VALUE, CSS_MENU_VALUE, CSS_MENUTEXT_VALUE, CSS_MESSAGE_BOX_VALUE, CSS_MIDDLE_VALUE, CSS_MIX_VALUE, CSS_MONOSPACE_VALUE, CSS_MOVE_VALUE, CSS_N_RESIZE_VALUE, CSS_NAVY_VALUE, CSS_NE_RESIZE_VALUE, CSS_NO_CLOSE_QUOTE_VALUE, CSS_NO_OPEN_QUOTE_VALUE, CSS_NO_REPEAT_VALUE, CSS_NONE_VALUE, CSS_NORMAL_VALUE, CSS_NOWRAP_VALUE, CSS_NW_RESIZE_VALUE, CSS_OBLIQUE_VALUE, CSS_OLIVE_VALUE, CSS_ONCE_VALUE, CSS_OPEN_QUOTE_VALUE, CSS_ORANGE_VALUE, CSS_ORPHANS_PROPERTY, CSS_OUTSET_VALUE, CSS_OUTSIDE_VALUE, CSS_OVERFLOW_AUTO_VALUE, CSS_OVERFLOW_HIDDEN_VALUE, CSS_OVERFLOW_PROPERTY, CSS_OVERFLOW_SCROLL_VALUE, CSS_OVERFLOW_VISIBLE_VALUE, CSS_OVERLINE_VALUE, CSS_PADDING_BOTTOM_PROPERTY, CSS_PADDING_LEFT_PROPERTY, CSS_PADDING_RIGHT_PROPERTY, CSS_PADDING_TOP_PROPERTY, CSS_PAGE_BREAK_AFTER_PROPERTY, CSS_PAGE_BREAK_BEFORE_PROPERTY, CSS_PAGE_BREAK_INSIDE_PROPERTY, CSS_POINTER_VALUE, CSS_PRE_LINE_VALUE, CSS_PRE_VALUE, CSS_PRE_WRAP_VALUE, CSS_PROGRESS_VALUE, CSS_PURPLE_VALUE, CSS_RED_VALUE, CSS_RELATIVE_VALUE, CSS_REPEAT_VALUE, CSS_REPEAT_X_VALUE, CSS_REPEAT_Y_VALUE, CSS_RIDGE_VALUE, CSS_RIGHT_SIDE_VALUE, CSS_RIGHT_VALUE, CSS_RIGHTWARDS_VALUE, CSS_RTL_VALUE, CSS_RUN_IN_VALUE, CSS_S_RESIZE_VALUE, CSS_SANS_SERIF_VALUE, CSS_SCROLL_VALUE, CSS_SCROLLBAR_VALUE, CSS_SE_RESIZE_VALUE, CSS_SEPARATE_VALUE, CSS_SERIF_VALUE, CSS_SHOW_VALUE, CSS_SILENT_VALUE, CSS_SILVER_VALUE, CSS_SLOW_VALUE, CSS_SLOWER_VALUE, CSS_SMALL_CAPS_VALUE, CSS_SMALL_CAPTION_VALUE, CSS_SMALL_VALUE, CSS_SMALLER_VALUE, CSS_SOFT_VALUE, CSS_SOLID_VALUE, CSS_SPELL_OUT_VALUE, CSS_SQUARE_VALUE, CSS_STATIC_VALUE, CSS_STATUS_BAR_VALUE, CSS_SUB_VALUE, CSS_SUPER_VALUE, CSS_SW_RESIZE_VALUE, CSS_TABLE_CAPTION_VALUE, CSS_TABLE_CELL_VALUE, CSS_TABLE_COLUMN_GROUP_VALUE, CSS_TABLE_COLUMN_VALUE, CSS_TABLE_FOOTER_GROUP_VALUE, CSS_TABLE_HEADER_GROUP_VALUE, CSS_TABLE_ROW_GROUP_VALUE, CSS_TABLE_ROW_VALUE, CSS_TABLE_VALUE, CSS_TEAL_VALUE, CSS_TEXT_ALIGN_PROPERTY, CSS_TEXT_BOTTOM_VALUE, CSS_TEXT_HYPERLINK_DECORATION_VALUE, CSS_TEXT_HYPERLINK_UNDECORATION_VALUE, CSS_TEXT_INDENT_PROPERTY, CSS_TEXT_TOP_VALUE, CSS_TEXT_TRANSFORM_PROPERTY, CSS_TEXT_VALUE, CSS_THICK_VALUE, CSS_THIN_VALUE, CSS_THREEDDARKSHADOW_VALUE, CSS_THREEDFACE_VALUE, CSS_THREEDHIGHLIGHT_VALUE, CSS_THREEDLIGHTSHADOW_VALUE, CSS_THREEDSHADOW_VALUE, CSS_TOP_VALUE, CSS_TRANSPARENT_VALUE, CSS_UNDERLINE_VALUE, CSS_UPPER_ALPHA_VALUE, CSS_UPPER_LATIN_VALUE, CSS_UPPER_ROMAN_VALUE, CSS_UPPERCASE_VALUE, CSS_URL_VALUE, CSS_VERTICAL_ALIGN_PROPERTY, CSS_VISIBLE_VALUE, CSS_W_RESIZE_VALUE, CSS_WAIT_VALUE, CSS_WHITE_SPACE_PROPERTY, CSS_WHITE_VALUE, CSS_WIDOWS_PROPERTY, CSS_WIDTH_PROPERTY, CSS_WINDOW_VALUE, CSS_WINDOWFRAME_VALUE, CSS_WINDOWTEXT_VALUE, CSS_WORD_SPACING_PROPERTY, CSS_X_FAST_VALUE, CSS_X_HIGH_VALUE, CSS_X_LARGE_VALUE, CSS_X_LOUD_VALUE, CSS_X_LOW_VALUE, CSS_X_SLOW_VALUE, CSS_X_SMALL_VALUE, CSS_X_SOFT_VALUE, CSS_XX_LARGE_VALUE, CSS_XX_SMALL_VALUE, CSS_YELLOW_VALUE`

### Fields inherited from interface org.eclipse.birt.report.engine.css.engine.value.css.CSSValueConstants

`ACTIVEBORDER_VALUE, ACTIVECAPTION_VALUE, ALWAYS_VALUE, APPWORKSPACE_VALUE, AQUA_RGB_VALUE, AQUA_VALUE, AUTO_VALUE, AVOID_VALUE, BACKGROUND_VALUE, BASELINE_VALUE, BLACK_RGB_VALUE, BLACK_VALUE, BLINK_VALUE, BLOCK_VALUE, BLUE_RGB_VALUE, BLUE_VALUE, BOLD_VALUE, BOLDER_VALUE, BOTTOM_VALUE, BUTTONFACE_VALUE, BUTTONHIGHLIGHT_VALUE, BUTTONSHADOW_VALUE, BUTTONTEXT_VALUE, CAPITALIZE_VALUE, CAPTIONTEXT_VALUE, CENTER_VALUE, COLLAPSE_VALUE, CONTAIN_VALUE, COVER_VALUE, CROSSHAIR_VALUE, CURSIVE_VALUE, DASHED_VALUE, DEFAULT_VALUE, DIAGONAL_LINE_NUMBER_VALUE, DOTTED_VALUE, DOUBLE_VALUE, E_RESIZE_VALUE, EMBED_VALUE, FANTASY_VALUE, FIXED_VALUE, FUCHSIA_RGB_VALUE, FUCHSIA_VALUE, GRAY_RGB_VALUE, GRAY_VALUE, GRAYTEXT_VALUE, GREEN_RGB_VALUE, GREEN_VALUE, GROOVE_VALUE, HIDDEN_VALUE, HIGHLIGHT_VALUE, HIGHLIGHTTEXT_VALUE, INACTIVEBORDER_VALUE, INACTIVECAPTION_VALUE, INACTIVECAPTIONTEXT_VALUE, INFOBACKGROUND_VALUE, INFOTEXT_VALUE, INHERIT_VALUE, INLINE_BLOCK_VALUE, INLINE_TABLE_VALUE, INLINE_VALUE, INSET_VALUE, ITALIC_VALUE, JUSTIFY_VALUE, LARGE_VALUE, LARGER_VALUE, LEFT_VALUE, LIGHTER_VALUE, LIME_RGB_VALUE, LIME_VALUE, LINE_THROUGH_VALUE, LIST_ITEM_VALUE, LOWERCASE_VALUE, LTR_VALUE, MAROON_RGB_VALUE, MAROON_VALUE, MEDIUM_VALUE, MENU_VALUE, MENUTEXT_VALUE, MIDDLE_VALUE, MONOSPACE_VALUE, MOVE_VALUE, N_RESIZE_VALUE, NAVY_RGB_VALUE, NAVY_VALUE, NE_RESIZE_VALUE, NO_REPEAT_VALUE, NONE_VALUE, NORMAL_VALUE, NOWRAP_VALUE, NULL_STRING_VALUE, NUMBER_0, NUMBER_100, NUMBER_128, NUMBER_165, NUMBER_192, NUMBER_200, NUMBER_255, NUMBER_300, NUMBER_400, NUMBER_500, NUMBER_600, NUMBER_700, NUMBER_800, NUMBER_900, NW_RESIZE_VALUE, OBLIQUE_VALUE, OLIVE_RGB_VALUE, OLIVE_VALUE, ORANGE_RGB_VALUE, ORANGE_VALUE, OUTSET_VALUE, OVERFLOW_AUTO_VALUE, OVERFLOW_HIDDEN_VALUE, OVERFLOW_SCROLL_VALUE, OVERFLOW_VISIBLE_VALUE, OVERLINE_VALUE, PERCENT_0, PERCENT_100, PERCENT_50, POINTER_VALUE, PRE_LINE_VALUE, PRE_VALUE, PRE_WRAP_VALUE, PURPLE_RGB_VALUE, PURPLE_VALUE, RED_RGB_VALUE, RED_VALUE, REPEAT_VALUE, REPEAT_X_VALUE, REPEAT_Y_VALUE, RIDGE_VALUE, RIGHT_VALUE, RTL_VALUE, RUN_IN_VALUE, S_RESIZE_VALUE, SANS_SERIF_VALUE, SCROLL_VALUE, SCROLLBAR_VALUE, SE_RESIZE_VALUE, SERIF_VALUE, SILVER_RGB_VALUE, SILVER_VALUE, SMALL_CAPS_VALUE, SMALL_VALUE, SMALLER_VALUE, SOLID_VALUE, SUB_VALUE, SUPER_VALUE, SW_RESIZE_VALUE, TABLE_CAPTION_VALUE, TABLE_CELL_VALUE, TABLE_COLUMN_GROUP_VALUE, TABLE_COLUMN_VALUE, TABLE_FOOTER_GROUP_VALUE, TABLE_HEADER_GROUP_VALUE, TABLE_ROW_GROUP_VALUE, TABLE_ROW_VALUE, TABLE_VALUE, TEAL_RGB_VALUE, TEAL_VALUE, TEXT_BOTTOM_VALUE, TEXT_TOP_VALUE, TEXT_VALUE, THICK_VALUE, THIN_VALUE, THREEDDARKSHADOW_VALUE, THREEDFACE_VALUE, THREEDHIGHLIGHT_VALUE, THREEDLIGHTSHADOW_VALUE, THREEDSHADOW_VALUE, TOP_VALUE, TRANSPARENT_VALUE, UNDECORATED, UNDERLINE_VALUE, UPPERCASE_VALUE, URL_VALUE, VISIBLE_VALUE, W_RESIZE_VALUE, WAIT_VALUE, WHITE_RGB_VALUE, WHITE_VALUE, WINDOW_VALUE, WINDOWFRAME_VALUE, WINDOWTEXT_VALUE, X_LARGE_VALUE, X_SMALL_VALUE, XX_LARGE_VALUE, XX_SMALL_VALUE, YELLOW_RGB_VALUE, YELLOW_VALUE`

### Fields inherited from interface org.eclipse.birt.report.engine.css.engine.StyleConstants

`NUMBER_OF_STYLE, STYLE_BACKGROUND_ATTACHMENT, STYLE_BACKGROUND_COLOR, STYLE_BACKGROUND_HEIGHT, STYLE_BACKGROUND_IMAGE, STYLE_BACKGROUND_IMAGE_TYPE, STYLE_BACKGROUND_POSITION_X, STYLE_BACKGROUND_POSITION_Y, STYLE_BACKGROUND_REPEAT, STYLE_BACKGROUND_WIDTH, STYLE_BORDER_ANTIDIAGONAL_COLOR, STYLE_BORDER_ANTIDIAGONAL_NUMBER, STYLE_BORDER_ANTIDIAGONAL_STYLE, STYLE_BORDER_ANTIDIAGONAL_WIDTH, STYLE_BORDER_BOTTOM_COLOR, STYLE_BORDER_BOTTOM_STYLE, STYLE_BORDER_BOTTOM_WIDTH, STYLE_BORDER_DIAGONAL_COLOR, STYLE_BORDER_DIAGONAL_NUMBER, STYLE_BORDER_DIAGONAL_STYLE, STYLE_BORDER_DIAGONAL_WIDTH, STYLE_BORDER_LEFT_COLOR, STYLE_BORDER_LEFT_STYLE, STYLE_BORDER_LEFT_WIDTH, STYLE_BORDER_RIGHT_COLOR, STYLE_BORDER_RIGHT_STYLE, STYLE_BORDER_RIGHT_WIDTH, STYLE_BORDER_TOP_COLOR, STYLE_BORDER_TOP_STYLE, STYLE_BORDER_TOP_WIDTH, STYLE_CAN_SHRINK, STYLE_COLOR, STYLE_DATA_FORMAT, STYLE_DIRECTION, STYLE_DISPLAY, STYLE_FONT_FAMILY, STYLE_FONT_SIZE, STYLE_FONT_STYLE, STYLE_FONT_VARIANT, STYLE_FONT_WEIGHT, STYLE_HEIGHT, STYLE_LETTER_SPACING, STYLE_LINE_HEIGHT, STYLE_MARGIN_BOTTOM, STYLE_MARGIN_LEFT, STYLE_MARGIN_RIGHT, STYLE_MARGIN_TOP, STYLE_MASTER_PAGE, STYLE_NUMBER_ALIGN, STYLE_ORPHANS, STYLE_OVERFLOW, STYLE_PADDING_BOTTOM, STYLE_PADDING_LEFT, STYLE_PADDING_RIGHT, STYLE_PADDING_TOP, STYLE_PAGE_BREAK_AFTER, STYLE_PAGE_BREAK_BEFORE, STYLE_PAGE_BREAK_INSIDE, STYLE_SHOW_IF_BLANK, STYLE_TEXT_ALIGN, STYLE_TEXT_HYPERLINK_STYLE, STYLE_TEXT_INDENT, STYLE_TEXT_LINETHROUGH, STYLE_TEXT_OVERLINE, STYLE_TEXT_TRANSFORM, STYLE_TEXT_UNDERLINE, STYLE_VERTICAL_ALIGN, STYLE_VISIBLE_FORMAT, STYLE_WHITE_SPACE, STYLE_WIDOWS, STYLE_WIDTH, STYLE_WORD_SPACING`

## Method Summary

Modifier and Type
Method
Description
`String`
`getAntidiagonalColor()`
Get the antidiagonal color
`int`
`getAntidiagonalNumber()`
Get the antidiagonal line number
`String`
`getAntidiagonalStyle()`
Get the antidiagonal style
`String`
`getAntidiagonalWidth()`
Get the antidiagonal width
`String`
`getBackgroundHeight()`
Get the background image height
`String`
`getBackgroundImageType()`
Get the background image source type
`String`
`getBackgroundPositionX()`
Get the background position X
`String`
`getBackgroundPositionY()`
Get the background position Y
`String`
`getBackgroundWidth()`
Get the background image width
`String`
`getCanShrink()`
Get the option can shrink
`String`
`getCssText(int index)`
Get the CSS text
`org.eclipse.birt.report.engine.css.engine.value.DataFormatValue`
`getDataFormat()`
Get the date format
`String`
`getDateFormat()`
Get the date format
`String`
`getDateTimeFormat()`
Get the date time format
`String`
`getDiagonalColor()`
Get the diagonal color
`int`
`getDiagonalNumber()`
Get the diagonal line number
`String`
`getDiagonalStyle()`
Get the diagonal style
`String`
`getDiagonalWidth()`
Get the diagonal width
`String`
`getMasterPage()`
Get the master page
`String`
`getNumberAlign()`
Get the number align
`String`
`getNumberFormat()`
Get the number format
`CSSValue`
`getProperty(int index)`
Get the property value
`String`
`getShowIfBlank()`
Get the option show if blank
`String`
`getStringFormat()`
Get the string format
`String`
`getTextHyperlinkStyle()`
Get the text hyperlink style
`String`
`getTextLineThrough()`
Get the text line through
`String`
`getTextOverline()`
Get the text overline
`String`
`getTextUnderline()`
Get the text underline
`String`
`getTimeFormat()`
Get the time format
`String`
`getVisibleFormat()`
Get the visible format
`boolean`
`isEmpty()`
Is empty
`void`
`read(DataInputStream in)`
Read the report ROM stream
`void`
`setAntidiagonalColor(String color)`
Set the antidiagonal color
`void`
`setAntidiagonalNumber(Integer number)`
Set the antidiagonal line number
`void`
`setAntidiagonalStyle(String style)`
Set the antidiagonal style
`void`
`setAntidiagonalWidth(String width)`
Set the antidiagonal width
`void`
`setBackgroundHeight(String height)`
Set the image background height
`void`
`setBackgroundImageType(String imageType)`
Set the image background type
`void`
`setBackgroundPositionX(String x)`
Set the background position X
`void`
`setBackgroundPositionY(String y)`
Set the background position Y
`void`
`setBackgroundWidth(String width)`
Set the image background width
`void`
`setCanShrink(String shrink)`
Set the option can shrink
`void`
`setCssText(int index, String value)`
Set the CSS text
`void`
`setDataFormat(org.eclipse.birt.report.engine.css.engine.value.DataFormatValue value)`
Set the date format
`void`
`setDateFormat(String format)`
Set the date format
`void`
`setDiagonalColor(String color)`
Set the diagonal color
`void`
`setDiagonalNumber(Integer number)`
Set the diagonal line number
`void`
`setDiagonalStyle(String style)`
Set the diagonal style
`void`
`setDiagonalWidth(String width)`
Set the diagonal width
`void`
`setMasterPage(String page)`
Set the master page
`void`
`setNumberAlign(String align)`
Set the number align
`void`
`setNumberFormat(String format)`
Set the number format
`void`
`setProperties(IStyle style)`
Set the properties style based
`void`
`setProperty(int index, CSSValue value)`
Set the property value
`void`
`setShowIfBlank(String blank)`
Set the show if blank
`void`
`setStringFormat(String format)`
Set the string format
`void`
`setTextHyperlinkStyle(String hyperlinkStyle)`
Set the text hyperlink style
`void`
`setTextLineThrough(String through)`
Set the text line through
`void`
`setTextOverline(String overline)`
Set the text overline
`void`
`setTextUnderline(String underline)`
Set the text underline
`void`
`setVisibleFormat(String visibility)`
Set visible format
`void`
`write(DataOutputStream out)`
Write the report ROM stream

### Methods inherited from interface org.w3c.dom.css.CSS2Properties

`getAzimuth, getBackground, getBackgroundAttachment, getBackgroundColor, getBackgroundImage, getBackgroundPosition, getBackgroundRepeat, getBorder, getBorderBottom, getBorderBottomColor, getBorderBottomStyle, getBorderBottomWidth, getBorderCollapse, getBorderColor, getBorderLeft, getBorderLeftColor, getBorderLeftStyle, getBorderLeftWidth, getBorderRight, getBorderRightColor, getBorderRightStyle, getBorderRightWidth, getBorderSpacing, getBorderStyle, getBorderTop, getBorderTopColor, getBorderTopStyle, getBorderTopWidth, getBorderWidth, getBottom, getCaptionSide, getClear, getClip, getColor, getContent, getCounterIncrement, getCounterReset, getCssFloat, getCue, getCueAfter, getCueBefore, getCursor, getDirection, getDisplay, getElevation, getEmptyCells, getFont, getFontFamily, getFontSize, getFontSizeAdjust, getFontStretch, getFontStyle, getFontVariant, getFontWeight, getHeight, getLeft, getLetterSpacing, getLineHeight, getListStyle, getListStyleImage, getListStylePosition, getListStyleType, getMargin, getMarginBottom, getMarginLeft, getMarginRight, getMarginTop, getMarkerOffset, getMarks, getMaxHeight, getMaxWidth, getMinHeight, getMinWidth, getOrphans, getOutline, getOutlineColor, getOutlineStyle, getOutlineWidth, getOverflow, getPadding, getPaddingBottom, getPaddingLeft, getPaddingRight, getPaddingTop, getPage, getPageBreakAfter, getPageBreakBefore, getPageBreakInside, getPause, getPauseAfter, getPauseBefore, getPitch, getPitchRange, getPlayDuring, getPosition, getQuotes, getRichness, getRight, getSize, getSpeak, getSpeakHeader, getSpeakNumeral, getSpeakPunctuation, getSpeechRate, getStress, getTableLayout, getTextAlign, getTextDecoration, getTextIndent, getTextShadow, getTextTransform, getTop, getUnicodeBidi, getVerticalAlign, getVisibility, getVoiceFamily, getVolume, getWhiteSpace, getWidows, getWidth, getWordSpacing, getZIndex, setAzimuth, setBackground, setBackgroundAttachment, setBackgroundColor, setBackgroundImage, setBackgroundPosition, setBackgroundRepeat, setBorder, setBorderBottom, setBorderBottomColor, setBorderBottomStyle, setBorderBottomWidth, setBorderCollapse, setBorderColor, setBorderLeft, setBorderLeftColor, setBorderLeftStyle, setBorderLeftWidth, setBorderRight, setBorderRightColor, setBorderRightStyle, setBorderRightWidth, setBorderSpacing, setBorderStyle, setBorderTop, setBorderTopColor, setBorderTopStyle, setBorderTopWidth, setBorderWidth, setBottom, setCaptionSide, setClear, setClip, setColor, setContent, setCounterIncrement, setCounterReset, setCssFloat, setCue, setCueAfter, setCueBefore, setCursor, setDirection, setDisplay, setElevation, setEmptyCells, setFont, setFontFamily, setFontSize, setFontSizeAdjust, setFontStretch, setFontStyle, setFontVariant, setFontWeight, setHeight, setLeft, setLetterSpacing, setLineHeight, setListStyle, setListStyleImage, setListStylePosition, setListStyleType, setMargin, setMarginBottom, setMarginLeft, setMarginRight, setMarginTop, setMarkerOffset, setMarks, setMaxHeight, setMaxWidth, setMinHeight, setMinWidth, setOrphans, setOutline, setOutlineColor, setOutlineStyle, setOutlineWidth, setOverflow, setPadding, setPaddingBottom, setPaddingLeft, setPaddingRight, setPaddingTop, setPage, setPageBreakAfter, setPageBreakBefore, setPageBreakInside, setPause, setPauseAfter, setPauseBefore, setPitch, setPitchRange, setPlayDuring, setPosition, setQuotes, setRichness, setRight, setSize, setSpeak, setSpeakHeader, setSpeakNumeral, setSpeakPunctuation, setSpeechRate, setStress, setTableLayout, setTextAlign, setTextDecoration, setTextIndent, setTextShadow, setTextTransform, setTop, setUnicodeBidi, setVerticalAlign, setVisibility, setVoiceFamily, setVolume, setWhiteSpace, setWidows, setWidth, setWordSpacing, setZIndex`

### Methods inherited from interface org.w3c.dom.css.CSSStyleDeclaration

`getCssText, getLength, getParentRule, getPropertyCSSValue, getPropertyPriority, getPropertyValue, item, removeProperty, setCssText, setProperty`

## Method Details

### getBackgroundPositionX

String getBackgroundPositionX()
Get the background position X

Returns:
  Return the background position X

### getBackgroundPositionY

String getBackgroundPositionY()
Get the background position Y

Returns:
  Return the background position Y

### getTextUnderline

String getTextUnderline()
Get the text underline

Returns:
  Return the text underline

### getTextOverline

String getTextOverline()
Get the text overline

Returns:
  Return the text overline

### getTextLineThrough

String getTextLineThrough()
Get the text line through

Returns:
  Return the text line through

### getTextHyperlinkStyle

String getTextHyperlinkStyle()
Get the text hyperlink style

Returns:
  Return the text hyperlink style

### getMasterPage

String getMasterPage()
Get the master page

Returns:
  Return the master page

### getShowIfBlank

String getShowIfBlank()
Get the option show if blank

Returns:
  Return the option show if blank

### getCanShrink

String getCanShrink()
Get the option can shrink

Returns:
  Return the option can shrink

### getStringFormat

String getStringFormat()
Get the string format

Returns:
  Return the string format

### getNumberFormat

String getNumberFormat()
Get the number format

Returns:
  Return the number format

### getDateFormat

String getDateFormat()
Get the date format

Returns:
  Return the date format

### getDateTimeFormat

String getDateTimeFormat()
Get the date time format

Returns:
  Return the date time format

### getTimeFormat

String getTimeFormat()
Get the time format

Returns:
  Return the time format

### getNumberAlign

String getNumberAlign()
Get the number align

Returns:
  Return the number align

### getVisibleFormat

String getVisibleFormat()
Get the visible format

Returns:
  Return the visible format

### setBackgroundPositionX

void setBackgroundPositionX(String x) throws DOMException
Set the background position X

Parameters:
  `x` -
Throws:
  `DOMException`

### setBackgroundPositionY

void setBackgroundPositionY(String y) throws DOMException
Set the background position Y

Parameters:
  `y` -
Throws:
  `DOMException`

### setTextUnderline

void setTextUnderline(String underline) throws DOMException
Set the text underline

Parameters:
  `underline` -
Throws:
  `DOMException`

### setTextOverline

void setTextOverline(String overline) throws DOMException
Set the text overline

Parameters:
  `overline` -
Throws:
  `DOMException`

### setTextLineThrough

void setTextLineThrough(String through) throws DOMException
Set the text line through

Parameters:
  `through` -
Throws:
  `DOMException`

### setTextHyperlinkStyle

void setTextHyperlinkStyle(String hyperlinkStyle) throws DOMException
Set the text hyperlink style

Parameters:
  `hyperlinkStyle` -
Throws:
  `DOMException`

### setMasterPage

void setMasterPage(String page) throws DOMException
Set the master page

Parameters:
  `page` -
Throws:
  `DOMException`

### setShowIfBlank

void setShowIfBlank(String blank) throws DOMException
Set the show if blank

Parameters:
  `blank` -
Throws:
  `DOMException`

### setCanShrink

void setCanShrink(String shrink) throws DOMException
Set the option can shrink

Parameters:
  `shrink` -
Throws:
  `DOMException`

### setStringFormat

void setStringFormat(String format) throws DOMException
Set the string format

Parameters:
  `format` -
Throws:
  `DOMException`

### setNumberFormat

void setNumberFormat(String format) throws DOMException
Set the number format

Parameters:
  `format` -
Throws:
  `DOMException`

### setDateFormat

void setDateFormat(String format) throws DOMException
Set the date format

Parameters:
  `format` -
Throws:
  `DOMException`

### setNumberAlign

void setNumberAlign(String align) throws DOMException
Set the number align

Parameters:
  `align` -
Throws:
  `DOMException`

### setVisibleFormat

void setVisibleFormat(String visibility) throws DOMException
Set visible format

Parameters:
  `visibility` -
Throws:
  `DOMException`

### getProperty

CSSValue getProperty(int index)
Get the property value

Parameters:
  `index` -
Returns:
  Return the property value

### setProperty

void setProperty(int index, CSSValue value)
Set the property value

Parameters:
  `index` -
  `value` -

### setProperties

void setProperties(IStyle style)
Set the properties style based

Parameters:
  `style` -

### getCssText

String getCssText(int index)
Get the CSS text

Parameters:
  `index` -
Returns:
  Return the CSS text

### setCssText

void setCssText(int index, String value) throws DOMException
Set the CSS text

Parameters:
  `index` -
  `value` -
Throws:
  `DOMException`

### isEmpty

boolean isEmpty()
Is empty

Returns:
  true, is empty

### write

void write(DataOutputStream out) throws IOException
Write the report ROM stream

Parameters:
  `out` -
Throws:
  `IOException`

### read

void read(DataInputStream in) throws IOException
Read the report ROM stream

Parameters:
  `in` -
Throws:
  `IOException`

### getBackgroundHeight

String getBackgroundHeight()
Get the background image height

Returns:
  Return the background image height

### getBackgroundWidth

String getBackgroundWidth()
Get the background image width

Returns:
  Return the background image width

### getDataFormat

org.eclipse.birt.report.engine.css.engine.value.DataFormatValue getDataFormat()
Get the date format

Returns:
  Return the date format

### setDataFormat

void setDataFormat(org.eclipse.birt.report.engine.css.engine.value.DataFormatValue value)
Set the date format

Parameters:
  `value` -

### getBackgroundImageType

String getBackgroundImageType()
Get the background image source type

Returns:
  Return the background image source type

### setBackgroundImageType

void setBackgroundImageType(String imageType)
Set the image background type

Parameters:
  `imageType` -

### setBackgroundHeight

void setBackgroundHeight(String height)
Set the image background height

Parameters:
  `height` - background image height

### setBackgroundWidth

void setBackgroundWidth(String width)
Set the image background width

Parameters:
  `width` - background image width

### getDiagonalNumber

int getDiagonalNumber()
Get the diagonal line number

Returns:
  Return the diagonal line number

### setDiagonalNumber

void setDiagonalNumber(Integer number)
Set the diagonal line number

Parameters:
  `number` -

### getDiagonalStyle

String getDiagonalStyle()
Get the diagonal style

Returns:
  Return the diagonal style

### setDiagonalStyle

void setDiagonalStyle(String style)
Set the diagonal style

Parameters:
  `style` -

### getDiagonalWidth

String getDiagonalWidth()
Get the diagonal width

Returns:
  Return the diagonal width

### setDiagonalWidth

void setDiagonalWidth(String width)
Set the diagonal width

Parameters:
  `width` -

### getDiagonalColor

String getDiagonalColor()
Get the diagonal color

Returns:
  Return the diagonal color

### setDiagonalColor

void setDiagonalColor(String color)
Set the diagonal color

Parameters:
  `color` -

### getAntidiagonalNumber

int getAntidiagonalNumber()
Get the antidiagonal line number

Returns:
  Return the antidiagonal line number

### setAntidiagonalNumber

void setAntidiagonalNumber(Integer number)
Set the antidiagonal line number

Parameters:
  `number` -

### getAntidiagonalStyle

String getAntidiagonalStyle()
Get the antidiagonal style

Returns:
  Return the antidiagonal style

### setAntidiagonalStyle

void setAntidiagonalStyle(String style)
Set the antidiagonal style

Parameters:
  `style` -

### getAntidiagonalWidth

String getAntidiagonalWidth()
Get the antidiagonal width

Returns:
  Return the diagonal width

### setAntidiagonalWidth

void setAntidiagonalWidth(String width)
Set the antidiagonal width

Parameters:
  `width` -

### getAntidiagonalColor

String getAntidiagonalColor()
Get the antidiagonal color

Returns:
  Return the diagonal color

### setAntidiagonalColor

void setAntidiagonalColor(String color)
Set the antidiagonal color

Parameters:
  `color` -